/*------------------------------------*\
  #Header
\*------------------------------------*/
header {
	position: fixed;
	width: 100%;
	top: 0;
	left: 0;
	text-align: center;
	background-color: $dark_bg;
	font-size: 0;
	z-index: 10;
}
.headerInner {
	position: relative;
}

.headerLeft {
	@include headerAbs;
	left: 0;
}
.headerRight {
	@include headerAbs;
	right: 0;
}
#logo {
	display: inline-block;
	h1 {
		margin: 0;
		height: $header_height;
		// display: inline-block;
		width: calc(100vw - 160px);
		background: url(../images/logo.png) no-repeat center center/100% auto;
	}
}
@media(min-width: 600px) {
	#logo {
		h1 {
			background-size: auto 100%;
		}
	}
}
#menuTrigger {
	@include headerIcon(left);
	background-position: -1px center;
}
#headerMember {
	@include headerIcon(left);
	background-position: -46px center;
}
#headerCart {
	// @include headerIcon(right);
	// background-position: -90px center;
	width: 40px;
	height: 60px;
	display: block;
	float: right;
	background: url(../images/icons/cart.png) center center/100% auto;
	color: #000;
	text-align: center;
	line-height: 60px;
	font-size: 14px;
}
#searchTrigger {
	@include headerIcon(right);
	background-position: -128px center;
}
#mainmenu {
	position: fixed;
	left: -60vw;
	top: 0;
	width: 60vw;
	background-color: rgba(0,0,0,0.8);
	min-height: 100vh;
	z-index: 10;
	padding: $header_height 15px $footer_height;
	transition: all .8s;
	height: 100vh;
	overflow: auto;
	&.opened {
		left: 0;
	}
	a {
		color: #fff;
		display: block;
		line-height: 40px;
		position: relative;
		&.acchead {
			&:after {
				content: '+';
				position: absolute;
				display: block;
				color: #fff;
				right: 0px;
				top: 0;
			}
			&.opened {
				&:after {
					content: '-';
				}
			}
		}
	}
}
.submenu {
	padding-left: 30px;
	display: none;
	opacity: 0;
	// overflow: hidden;
	// max-height: 0;
	transition: all .8s;
	&.opened {
		opacity: 1;
		display: block;
		max-height: 200vh;
	}
}
.subsubmenu {
	@extend .submenu;
	&.opened {
	}
}

.searchInner {
	padding: 5px 15px 10px;
	display: none;
	position: relative;
	input[type="text"] {
		width: 100%;
		padding-right: 10%;
		font-size: 14px;
		line-height: 30px;
		border: 0;
	}
	input[type="submit"] {
		width: 10%;
		position: absolute;
		height: 32px;
		border: 0;
		background: url(../images/icons/search.png) no-repeat center center;
		top: 6px;
		right: 15px;
	}
	&.opened {
		display: block;
	}
}